#include <iostream>
#include <cstdio>
using namespace std;

int xxor(int a[], int l, int r) {
    int x=a[l];
    for(int i=l+1; i<r+1; i++){
        x=x^a[i];
    }
    return x;
}

int aand(int a[], int l, int r) {
    int x=a[l];
    for(int i=l+1; i<r+1; i++){
        x=x&a[i];
    }
    return x;
}

int main() {
    int n;
    scanf("%d", &n);

    int a[n], b[n];
    for(int i=0; i<n; i++) {
        scanf("%d", &a[i]);
    }
    for(int i=0; i<n; i++) {
        scanf("%d", &b[i]);
    }
    int t=-1;
    int calc1, calc2;

    for(int l=0; l<n; l++) {
        for(int r=l; r<n; r++) {
            calc1=xxor(a, l, r);
            calc2=aand(b, l, r);
            printf("calc1 = %d\ncalc2 = %d\n", calc1, calc2);
            printf("t = %d\n",t);
            if(t<calc1*calc2)
                t=calc1*calc2;
            printf("t = %d\n\n",t);
        }
    }
    printf("%d", t);

    return 0;
}